[2LS] ChatSentinel - Light AntiSwear/AntiSpam plugin 0.4.1a

Light plugin to prevent Spam/Swearing on your Spigot/Bungee server.

  1. BoolyStudy
    BoolyStudy
    3/5,
    Version: 0.4.1a
    when does java 16 support come out? gives bungee errors with java 16 currently .
    1. LinsaFTW
      Author's Response
      If you want to report issues do it in our GitHub as it seems to work fine on my end with Java 16.

      Reviews are no place to post issues.
  2. LeadsYouLonely
    LeadsYouLonely
    5/5,
    Version: 0.4.1a
    Its a bit weak plugin especially when a player types a blacklist word.
    Like if you blocked the world "Hello" players can use it like this "H e l l o"

    Other than caps filter is perfect.
    And it would be really good if you add this the unicode and font protection.
    1. LinsaFTW
      Author's Response
      Hello, for this we made the custom premium config or you can configure yourself with regex rules :)
  3. GreenArrow99
    GreenArrow99
    5/5,
    Version: 0.4.1
    Awesome as always! If you guys want to keep an eye on toxic chat you should use this because I haven't seen any other chat plugin show you failed bypass messages!
    1. LinsaFTW
      Author's Response
      Thank you! :)
  4. Nesshw
    Nesshw
    5/5,
    Version: 0.4.0
    The plugin is GREAT but i really miss a function to block a similar message because people can easy abuse the coolddown bypass permission :(
    1. LinsaFTW
      Author's Response
      Hello the function is still there its the flood one :)
  5. NoNaaaaaame123
    NoNaaaaaame123
    5/5,
    Version: 0.4.0
    Excelente plugin, muy funcional y sirve para la 1.8 de maravilla!
    No se arrepentirán de usarlo..
    1. LinsaFTW
      Author's Response
      Muchas gracias!
  6. fakkprotekson
    fakkprotekson
    5/5,
    Version: 0.4.0
    The best chat control plugin in the world! Works perfectly in 1.8.8
    (80 characters)
    1. LinsaFTW
      Author's Response
      Thank you!
  7. GreenArrow99
    GreenArrow99
    5/5,
    Version: 0.4.0
    Awesome plugin! Used it before and was really helpful but does it work on 1.16.5
    1. LinsaFTW
      Author's Response
      Thank you! I should work fine :)
  8. BoolyStudy
    BoolyStudy
    5/5,
    Version: 0.4.0
    could you add a better word fixation? It seems there are false positives, I use waterfall 1.16.5
    1. LinsaFTW
      Author's Response
      Hello! Please report the false positives in our Discord :) Remember that the config is made for Spanish and English only!
  9. ErenKara
    ErenKara
    1/5,
    Version: 0.4.0
    You can easily spam messages but you can't spam commands, discord support is terrible, config has confusing parts and "replace" in config doesn't work
    1. LinsaFTW
      Author's Response
      Hello! The replace option doesnt work in newest version because of breaking API changes :( it works fine on older versions but for some reason "setMessage()" doesn't work in new ones.

      Sorry if you didn't like support, but i think i never got tagged by you on our discord or maybe you misunderstood something? The flood option is for preventing message flood and it works fine on our test server :)
  10. Macky_84
    Macky_84
    5/5,
    Version: 0.4.0
    A Great Plugin! Since I Own An Minecraft Network We Need This For Our Network. I Would Recommended Downloading This Plugin To Your Server I Had 0 Errors Or Anything.
    1. LinsaFTW
      Author's Response
      Thank you for your positive review!
  11. AsCrAnyelo
    AsCrAnyelo
    5/5,
    Version: 0.4.0
    Very good complement! but I would like it in 1.16.5 because I have updated to that version and it stopped working :( my server is without this wonderful plugin that protects the flood and spam
    1. LinsaFTW
      Author's Response
      Hi, sorry for that. I see lot of people having the same issue and we are investigating why .setMessage() is not working anymore. :/
  12. Prixnet
    Prixnet
    4/5,
    Version: 0.4.0
    flood:
    enabled: true

    # If this is true it will replace the flood instead of cancelling it.
    # Example: Heloooooo would be converted to just Helloo
    replace: true

    # Regex pattern to do the checks and replacement.
    pattern: (\w)\1{5,}|(\w{28,})|([^\wñ]{20,})|(^.{220,}$)

    warn:
    # Amount of warns required to execute the commands.
    # Set to -1 to disable this feature completely.
    max: 3

    Dont work the replace: true
    for the 1.16.5
    1. LinsaFTW
      Author's Response
      Yes, i think it doesnt work anymore :/ I dont know how to fix it.
  13. Alic
    Alic
    5/5,
    Version: 0.4.0
    Recurso 100/10, la configuración es sencilla pero eficaz, ayuda demasiado evitar la toxicidad
    1. LinsaFTW
      Author's Response
      Muchas gracias!
  14. ErikV
    ErikV
    4/5,
    Version: 0.4.0
    Works fine on 1.16.5, but flood check doesn't shorten flood messages, only recognizes them.
    1. LinsaFTW
      Author's Response
      Yes i noticed this and i dont know what can be causing it :/
  15. ZzSMrGaming
    ZzSMrGaming
    5/5,
    Version: 0.4.0
    Good plugin, simple and excellent, better than other paid plugins. Light plugin, small config, 100% configurable and it does many things like AntiAd, antispam etc. Keep it up !
    1. LinsaFTW
      Author's Response
      Thank you!
  16. Markjordanugtong
    Markjordanugtong
    4/5,
    Version: 0.4.0
    Still works in 1.16.4 please update it more, why 4 star? I try to add all the permission and even the name for example the caps. but still my friends can't caps.
    1. LinsaFTW
      Author's Response
      Hi, it works fine for me. Did you properly wrote the module name? Maybe try "Caps" instead of "caps"
  17. Boxwel
    Boxwel
    5/5,
    Version: 0.4.0
    Este plugin + la config premium es la mejor protección de chat ahora mismo, no se necesita staff que modere el chat.
    Gracias por tu aporte!
    1. LinsaFTW
      Author's Response
      Muchas gracias, yo recomiendo siempre tener staff por las dudas, pero si, su eficiencia es increible y hace que el staff pueda preocuparse mas en cosas mas importantes que en moderar insultos o spam.
  18. Koyere
    Koyere
    5/5,
    Version: 0.4.0
    Funciona para paper 1.16.1 ???

    Me interesaría mucho y si la config esta en español?
    1. LinsaFTW
      Author's Response
      Hola que tal? Si mal no recuerdo si, funciona. La configuracion es basica, la avanzada tiene checks tanto para esp como eng. Un saludo.
  19. __Vekster007__
    __Vekster007__
    5/5,
    Version: 0.3.9
    Good plugin! Good plugin! Good plugin! Good plugin! Good plugin! Good plugin! Good plugin!
    1. LinsaFTW
      Author's Response
      Thank you!
  20. BoolyStudy
    BoolyStudy
    5/5,
    Version: 0.3.9
    I have bought the premium blacklist, but there is no wiki how to block word exactly, because when I put it to crash - "lag" when users type villager or similar with lag, it blocks it anyway, and it's annoying. Could you tell me how to block word exactly?
    1. LinsaFTW
      Author's Response
      Hi, as stated, this uses Regex to block words. You would have to learn Regex if you want to add rules.

      Thank you.